<template>
  <div class="flex flox-row justify-between p-4">
    <img
        class="rounded-full w-50-px"
        width="50"
        height="50"
        :src="photo"
      />
      <div class="py-1 px-2 rounded-xl flex  flex-col justify-center">
        <span>{{email}}</span>
      </div>
      <div class="py-1 px-2 rounded-xl flex  flex-col justify-center" :class="messageColor">
        <span>{{role}}</span>
      </div>
  </div>
</template>

<script>
import monkey from "@/assets/image/monkey50x50.png";
import { ref } from '@vue/reactivity';
export default {
  props: {
    photo: {
      type: String,
      required: false,
      default: monkey,
    },
    email: {type: String, required: true},
    role: { type: String, required: true },
  },
  setup({role}) {
    const colorByRole = {
      Member: "bg-yellow-500",
      Judge: "bg-red-500",
      Mentor: "bg-green-500",
    };
    const messageColor = ref(
      colorByRole[role]
        ? colorByRole[role]
        : "bg-indigo-500"
    );
    return {messageColor}
  }
};
</script>

<style>

</style>